API para socios › Información Agregar una entrada a la lista negra POST /api/crm/v2/black_list.addv2
operationId: blackList.add
Agrega un registro a la lista negra. type_lock determina qué identificador se espera en el cuerpo de la solicitud: phone_number, client_branch_profile_id o client_account_id. Se rechaza un duplicado dentro de la red.
Autorización api-token + language + role
Cuerpo de la solicitud application/json object
type_lock string obligatorio
Valores: phone_numberclient_branch_profile_idclient_account_id
Ejemplo: phone_number
Una de las opciones
blackListOneOf
object (blackListOneOf)
Cuerpo de la solicitud para la cadena
Una de las opciones
object object object
object
phone_format_id integer (PhoneFormatId) obligatorio
Código de país: 1-🇷🇺(+7|8), 2-🇦🇿(+994|0), 3-🇧🇾(+375|80), 4-🇰🇿(+7|8), 6-🇷🇸(+381|0), 7-🇹🇷(+90|0), 8-🇺🇦(+380|0), 9-🇵🇹(+351|0), 10-🇰🇬(+996|0), 11-🇺🇸(+1), 12-🇫🇷(+33|0), 13-🇲🇩(+373|0), 15-🇪🇪(+372), 18-🇬🇪(+995), 19-🇺🇿(+998), 22-🇵🇱(+48|0), 23-🇹🇯(+992|8), 25-🇷🇴(+40|0), 44-🇨🇭(+41|0)
Ejemplo: 1
phone_number string obligatorio
Ejemplo: 705-712-51-20
object
Bloqueo por client_branch_profile_id
client_branch_profile_id integer obligatorio
ID del perfil del cliente en la sucursal
Ejemplo: 48997963
object
Bloqueo por client_account_id
client_account_id integer obligatorio
ID de la cuenta del cliente
Ejemplo: 4211309
Respuestas 200
object
status string obligatorio
Valores: successerror
Ejemplo: success
data object
description string
Ejemplo: Successfully added
row object
chain_id integer
Ejemplo: 7135
date string (DataTimeFormatSQL)
Ejemplo: 2024-05-02 08:31:16
phone_format_id integer
Ejemplo: 4
phone_number string
Ejemplo: 7057125119
client_account_id integer
Ejemplo: 0
client_branch_profile_id integer
Ejemplo: 0
blocked boolean
Ejemplo: true
curl PHP JavaScript Python Copiar
curl -X POST 'https://foodsoul.ru/api/crm/v2/black_list.add' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: es' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"phone_format_id":1,"phone_number":"705-712-51-20"}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.ru/api/crm/v2/black_list.add' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'es' ,
'role' => 'partner' ,
],
'json' => [
'phone_format_id' => 1 ,
'phone_number' => '705-712-51-20' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/black_list.add" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "es" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"phone_format_id" : 1 ,
"phone_number" : "705-712-51-20"
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.ru/api/crm/v2/black_list.add" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "es" ,
"role" : "partner" ,
},
json ={
"phone_format_id" : 1 ,
"phone_number" : "705-712-51-20" ,
},
)
data = response . json () Respuesta 200
{
"status" : "success" ,
"data" : {
"description" : "Successfully added" ,
"row" : {
"chain_id" : 7135 ,
"date" : "2024-05-02 08:31:16" ,
"phone_format_id" : 4 ,
"phone_number" : "7057125119" ,
"client_account_id" : 0 ,
"client_branch_profile_id" : 0 ,
"blocked" : true ,
"id" : "82348"
}
}
} Las solicitudes se envían a foodsoul.ru, que es el host de este portal; no se puede elegir otro.